Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78738 - nodiratime option on ext3 fs causes kernel panic on boot
Summary: nodiratime option on ext3 fs causes kernel panic on boot
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-28 14:18 UTC by Brian Morrison
Modified: 2007-04-18 16:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-14 20:53:01 UTC


Attachments (Terms of Use)

Description Brian Morrison 2002-11-28 14:18:29 UTC
Description of Problem:

If the mount options specified for the root filesystem are 
rw,noatime,nodiratime in /etc/fstab, then despite rebuilding the initrd file 
for kernel 2.4.18-18.8.0 the system panics on boot complaining of a mount error 
22 and invalid mount option nodiratime.

This configuration works with other machines where ext3 is compiled into the 
kernel under RH 7.3


Version-Release number of selected component (if applicable):

RH 8.0 plus all errata patches


How Reproducible:

Every time system booted in this state


Steps to Reproduce:
1. Change /etc/fstab / options to rw,noatime,nodiratime
2. Rebuild initrd in /boot
3. reboot system

Actual Results:

Kernel panic, unable to mount rootfs at all

Expected Results:

Normal boot expected!

Comment 1 Stephen Tweedie 2002-12-09 13:59:09 UTC
The "nodiratime" option is not parsed by the kernel --- it is dealt with by the
user-space mount code.  The initrd uses a very restricted mount mechanism built
into the "nash" binary.  If you want nodiratime to work on an initrd, that needs
nash to understand the option.  Reassigning the bug.

Comment 2 Erik Troan 2003-01-14 20:53:01 UTC
fixed in internal CVS -- this will make it into whatever mkinitrd is after 3.4.34


Note You need to log in before you can comment on or make changes to this bug.